<h2>Pudo-Woocommerce Plugin Settings</h2>
<form action="options.php" method="post">
    <?php
    settings_fields('pudo_woocommerce');

    ?>
    <hr>
    <h5>PUDO Account ID</h5>
    <input type="text" name="pudo_account" value="<?php
    echo $pudoID ?? ''; ?>" oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*?)\..*/g, '$1');"/>
    <br>
    <br>
    <h5>PUDO API URL</h5>
    <input type="text" id="api-url" name="pudo_api_url" style="width:600px;" value="<?php
    echo $apiURL ?? ''; ?>" onchange="credentialsValidation()">
    <br>
    <br>
    <h5>PUDO API Key</h5>
    <input type="text" id="api-key" name="pudo_account_key" style="width:600px;" value="<?php
    echo $apiKey ?? '' ?>" onchange="credentialsValidation()">
    <span id="credentials-validation-span"></span>
    <br>
    <br>
    <h5>PUDO Test Mode</h5>
    <select name="pudo_testmode">
        <option value="true" <?php
        echo (($pudoTestMode ?? '') === 'true') ? 'selected' : ''; ?>>True
        </option>
        <option value="false" <?php
        echo (($pudoTestMode ?? '') === 'false' || $pudoTestMode === '') ? 'selected' : ''; ?>>False
        </option>
    </select>
    <br>
    <br>
    <hr>
    <h5>OSM Map Email</h5>
    <input type="text" name="pudo_osm_email" style="width:600px;" value="<?php
    echo($pudoOSMEmail ?? ''); ?>">
    <br>
    <hr>
    <h5>Use OSM Map for Locker Selection</h5>
    <select name="pudo_use_osm_map">
        <option value="true" <?php
        echo (($pudoUseOSMMap ?? '') === 'true') ? 'selected' : ''; ?>>True
        </option>
        <option value="false" <?php
        echo (($pudoUseOSMMap ?? '') === 'false' || ($pudoUseOSMMap ?? '') === '') ? 'selected' : ''; ?>>False
        </option>
    </select>
    <hr>

    <input name="submit" class="button button-primary" type="submit" value="<?php
    esc_attr_e('Save'); ?>"/>
</form>

<script>
  function credentialsValidation() {
    let apiURL = document.getElementById('api-url').value
    let apiKey = document.getElementById('api-key').value

    if (apiURL && apiKey) {
      var xmlHttp = new XMLHttpRequest()
      xmlHttp.open('GET', apiURL + '/api/tcg/terminal/get/all?code=' + apiKey, false) // false for synchronous request
      xmlHttp.send(null)
      if (xmlHttp.responseText.length > 0) {
        document.getElementById('credentials-validation-span').innerHTML = '&#9745;'
      } else {
        document.getElementById('credentials-validation-span').innerHTML = '&#10005;'
      }
    }
  }

  credentialsValidation()
</script>
