<?php

/**
 * @author The Courier Guy / Pudo
 * @version 1.0.0
 */
$pudoPostType = new PudoPostType('product');
$pudoPostType->addMetaBox(
    'Pudo Settings',
    [
        'form_fields' => [
            'product_free_shipping_pudo' => [
                'display_name'  => 'Free Shipping',
                'property_type' => 'checkbox',
                'description'   => __('Enable free shipping for baskets including this product', 'woocommerce'),
                'placeholder'   => '',
                'default'       => '0',
            ],
            'product_single_parcel_pudo' => [
                'display_name'  => 'Always pack as single parcel',
                'property_type' => 'checkbox',
                'description'   => __('Enable to ensure this item is always packaged alone', 'woocommerce'),
                'placeholder'   => '',
                'default'       => '0',
            ],
            'product_prohibit_pudo'      => [
                'display_name'  => 'Prohibit PUDO Shipping',
                'property_type' => 'checkbox',
                'description'   => __(
                    'Enable to prohibit Pickup Dropoff shipping if cart contains this product',
                    'woocommerce'
                ),
                'placeholder'   => '',
                'default'       => '0',
            ],
        ]
    ]
);

